<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>Grid (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Grid (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/HiddenItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" target="_top">Frames</a></li>
<li><a href="Grid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Class Grid" class="title">Class Grid</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/AddPaymentGrid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">AddPaymentGrid</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/MatchStatementGrid.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">MatchStatementGrid</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBGrid</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Grid</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></pre>
<div class="block">Executes actions on OpenbravoERP grids built upon SmartClient user interface library.
 
 TODO should this class be moved to client.application.gui?</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX">FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX</a></span></code>
<div class="block">Formatting string used to locate a grid column filter by its index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME">FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME</a></span></code>
<div class="block">Formatting string used to locate a grid column filter by its name.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#Grid-java.lang.String-">Grid</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#Grid-java.lang.String-java.lang.Boolean-">Grid</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clearFilters--">clearFilters</a></span>()</code>
<div class="block">Clear the filters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCell-int-int-">clickCell</a></span>(int&nbsp;rowNumber,
         int&nbsp;columnNumber)</code>
<div class="block">Click a cell by the number of its row and column.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByContents-java.lang.String-java.lang.String-">clickCellByContents</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnValue)</code>
<div class="block">Click a cell by its contents.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByRowId-java.lang.String-java.lang.String-">clickCellByRowId</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;recordIdentifier,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</code>
<div class="block">Click a cell by its record identifier.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByRowNumber-int-java.lang.String-">clickCellByRowNumber</a></span>(int&nbsp;rowNumber,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</code>
<div class="block">Click a cell by the number of its row.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#filter-java.lang.String-java.lang.String-">filter</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filterValue)</code>
<div class="block">Filter the grid rows.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getFilterLocator--">getFilterLocator</a></span>()</code>
<div class="block">Get the SmartClient locator of the filter.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getFirstVisibleRowIndex--">getFirstVisibleRowIndex</a></span>()</code>
<div class="block">Get the index of the first visible row.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getLastVisibleRowIndex--">getLastVisibleRowIndex</a></span>()</code>
<div class="block">Get the index of the last visible row.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#makeRowVisible-int-">makeRowVisible</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Make a row visible.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#openFilterDropDown-java.lang.String-">openFilterDropDown</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</code>
<div class="block">Opens a filter drop down and returns the number of available records to select</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#pickRecordInFilterDropDown-java.lang.String-int-">pickRecordInFilterDropDown</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                          int&nbsp;recordNo)</code>
<div class="block">Picks a record in a filter drop down</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#scrollToLeft--">scrollToLeft</a></span>()</code>
<div class="block">Scrolls to left</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#scrollToRight--">scrollToRight</a></span>()</code>
<div class="block">Scrolls to left</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectAll--">selectAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRecord-int-">selectRecord</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Select a record number using SC javascript</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowByContents-java.lang.String-java.lang.String-">selectRowByContents</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnValue)</code>
<div class="block">Select a record by its contents.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowById-int-">selectRowById</a></span>(int&nbsp;recordIdentifier)</code>
<div class="block">Select a record by its identifier.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowByNumber-int-">selectRowByNumber</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Select a row by its number.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#unselectAll--">unselectAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#waitForDataToLoad--">waitForDataToLoad</a></span>()</code>
<div class="block">Wait for data to be fully loaded.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME</pre>
<div class="block">Formatting string used to locate a grid column filter by its name. The first parameter is the
 grid filter locator. The second parameter is the column name.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid.FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX</pre>
<div class="block">Formatting string used to locate a grid column filter by its index. The first parameter is the
 grid filter locator. The second parameter is the column index.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid.FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Grid-java.lang.String-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Grid</h4>
<pre>public&nbsp;Grid(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - the string that can be used with SeleniumSingleton.INSTANCE.getEval function to get
          the object.</dd>
<dd><code>waitForLoad</code> - Set to true if it is required to wait until it is loaded</dd>
</dl>
</li>
</ul>
<a name="Grid-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Grid</h4>
<pre>public&nbsp;Grid(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - the string that can be used with SeleniumSingleton.INSTANCE.getEval function to get
          the object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFilterLocator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilterLocator</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFilterLocator()</pre>
<div class="block">Get the SmartClient locator of the filter.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the SmartClient locator of the filter.</dd>
</dl>
</li>
</ul>
<a name="getFirstVisibleRowIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirstVisibleRowIndex</h4>
<pre>public&nbsp;int&nbsp;getFirstVisibleRowIndex()</pre>
<div class="block">Get the index of the first visible row.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the index of the first visible row.</dd>
</dl>
</li>
</ul>
<a name="getLastVisibleRowIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastVisibleRowIndex</h4>
<pre>public&nbsp;int&nbsp;getLastVisibleRowIndex()</pre>
<div class="block">Get the index of the last visible row.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the index of the last visible row.</dd>
</dl>
</li>
</ul>
<a name="makeRowVisible-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeRowVisible</h4>
<pre>public&nbsp;void&nbsp;makeRowVisible(int&nbsp;rowNumber)</pre>
<div class="block">Make a row visible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="clickCell-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCell</h4>
<pre>public&nbsp;void&nbsp;clickCell(int&nbsp;rowNumber,
                      int&nbsp;columnNumber)</pre>
<div class="block">Click a cell by the number of its row and column.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The row number of the cell.</dd>
<dd><code>columnNumber</code> - The column number of the cell.</dd>
</dl>
</li>
</ul>
<a name="selectRecord-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectRecord</h4>
<pre>public&nbsp;void&nbsp;selectRecord(int&nbsp;rowNumber)</pre>
<div class="block">Select a record number using SC javascript</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row that wants to be selected</dd>
</dl>
</li>
</ul>
<a name="clickCellByRowNumber-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCellByRowNumber</h4>
<pre>public&nbsp;void&nbsp;clickCellByRowNumber(int&nbsp;rowNumber,
                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</pre>
<div class="block">Click a cell by the number of its row.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The row number of the cell.</dd>
<dd><code>columnName</code> - The column name of the cell.</dd>
</dl>
</li>
</ul>
<a name="clickCellByRowId-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCellByRowId</h4>
<pre>public&nbsp;void&nbsp;clickCellByRowId(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;recordIdentifier,
                             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</pre>
<div class="block">Click a cell by its record identifier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recordIdentifier</code> - The record identifier of the cell.</dd>
<dd><code>columnName</code> - The column name of the cell.</dd>
</dl>
</li>
</ul>
<a name="clickCellByContents-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCellByContents</h4>
<pre>public&nbsp;void&nbsp;clickCellByContents(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnValue)</pre>
<div class="block">Click a cell by its contents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The column name of the cell.</dd>
<dd><code>columnValue</code> - The value of the column.</dd>
</dl>
</li>
</ul>
<a name="selectRowByNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectRowByNumber</h4>
<pre>public&nbsp;void&nbsp;selectRowByNumber(int&nbsp;rowNumber)</pre>
<div class="block">Select a row by its number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The row number of the cell.</dd>
</dl>
</li>
</ul>
<a name="selectRowById-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectRowById</h4>
<pre>public&nbsp;void&nbsp;selectRowById(int&nbsp;recordIdentifier)</pre>
<div class="block">Select a record by its identifier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recordIdentifier</code> - The record identifier of the cell.</dd>
</dl>
</li>
</ul>
<a name="selectRowByContents-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectRowByContents</h4>
<pre>public&nbsp;void&nbsp;selectRowByContents(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnValue)</pre>
<div class="block">Select a record by its contents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The column name of the cell.</dd>
<dd><code>columnValue</code> - The value of the column.</dd>
</dl>
</li>
</ul>
<a name="clearFilters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearFilters</h4>
<pre>public&nbsp;void&nbsp;clearFilters()</pre>
<div class="block">Clear the filters.</div>
</li>
</ul>
<a name="filter-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;void&nbsp;filter(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filterValue)</pre>
<div class="block">Filter the grid rows.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The name of the column.</dd>
<dd><code>filterValue</code> - The value of the filter.</dd>
</dl>
</li>
</ul>
<a name="pickRecordInFilterDropDown-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pickRecordInFilterDropDown</h4>
<pre>public&nbsp;void&nbsp;pickRecordInFilterDropDown(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                                       int&nbsp;recordNo)</pre>
<div class="block">Picks a record in a filter drop down</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The name of the column where the record is going to be picked</dd>
<dd><code>recordNo</code> - The number of the record that is going to be picked</dd>
</dl>
</li>
</ul>
<a name="openFilterDropDown-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFilterDropDown</h4>
<pre>public&nbsp;int&nbsp;openFilterDropDown(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</pre>
<div class="block">Opens a filter drop down and returns the number of available records to select</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The name of the column where the drop down filter is going to be opened</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of available records to select</dd>
</dl>
</li>
</ul>
<a name="unselectAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unselectAll</h4>
<pre>public&nbsp;void&nbsp;unselectAll()</pre>
</li>
</ul>
<a name="selectAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectAll</h4>
<pre>public&nbsp;void&nbsp;selectAll()</pre>
</li>
</ul>
<a name="waitForDataToLoad--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForDataToLoad</h4>
<pre>public&nbsp;void&nbsp;waitForDataToLoad()</pre>
<div class="block">Wait for data to be fully loaded.</div>
</li>
</ul>
<a name="scrollToLeft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scrollToLeft</h4>
<pre>public&nbsp;void&nbsp;scrollToLeft()</pre>
<div class="block">Scrolls to left</div>
</li>
</ul>
<a name="scrollToRight--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>scrollToRight</h4>
<pre>public&nbsp;void&nbsp;scrollToRight()</pre>
<div class="block">Scrolls to left</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/HiddenItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" target="_top">Frames</a></li>
<li><a href="Grid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
